#pragma once

#include <string>
#include <memory>

class AudioSample;
using AudioSamplePtr = std::unique_ptr<AudioSample>;

class AudioWriter
{
public:
    AudioWriter();

    void SetPath(const std::string& path);

    void Write(const AudioSamplePtr& sample);

private:

    std::string mPath;
};
